#!/bin/csh

limit stacksize 524288
limit

echo
echo 'starting NOAH script'

# binary and scripts directories
set noahlsmbin = /ldas/home/noah/PILPS-2E/noah
set ldasscripts = /ldas/home/noah/scripts/ncep

# land surface characteristics directory
set noahlsc = /ldas/home/noah/PILPS-2E/tarred_files/OTHER

# forcing data directories
set ldasforcing = /ldas/home/noah/PILPS-2E/tarred_files/FORCING

# NOAH output and restart directory
set noahoutput = /ldas/home/noah/PILPS-2E/noah/output
set noahrestart = /ldas/home/noah/PILPS-2E/noah/restart_base

cd $noahlsmbin

echo 'linking land surface characteristics'
ln -s $noahlsc/land_sea_PILPS2e.bin   fort.50
#ln -s $noahlsc/noah_soil_layers.bin   fort.51
ln -s $noahlsc/texture_PILPS2e.bin    fort.53
ln -s $noahlsc/PILPS2e.vegtype        fort.54
#ln -s $noahlsc/noah_slopetype.bin     fort.55
ln -s $noahlsc/soil_depth_PILPS2e.bin  fort.56
ln -s $noahlsc/tbot_PILPS2e.bin       fort.57
ln -s $noahlsc/PILPS2e.albedo         fort.58
ln -s $noahlsc/PILPS2e.greenness      fort.59
echo 'linking initial conditions'
ln -s $noahrestart/start.T1    fort.70
ln -s $noahrestart/start.STC   fort.71
ln -s $noahrestart/start.SMC   fort.72
ln -s $noahrestart/start.SH2O  fort.73
ln -s $noahrestart/start.CMC   fort.74
ln -s $noahrestart/start.SNOWH fort.75
ln -s $noahrestart/start.SNEQV fort.76
ln -s $noahrestart/start.CH    fort.77
ln -s $noahrestart/start.CM    fort.78

echo 'linking forcing files'
ln -s $ldasforcing/tor_dat_1hr_1979.nc fort.10
ln -s $ldasforcing/tor_dat_1hr_1980.nc fort.11
ln -s $ldasforcing/tor_dat_1hr_1981.nc fort.12
ln -s $ldasforcing/tor_dat_1hr_1982.nc fort.13
ln -s $ldasforcing/tor_dat_1hr_1983.nc fort.14
ln -s $ldasforcing/tor_dat_1hr_1984.nc fort.15
ln -s $ldasforcing/tor_dat_1hr_1985.nc fort.16
ln -s $ldasforcing/tor_dat_1hr_1986.nc fort.17
ln -s $ldasforcing/tor_dat_1hr_1987.nc fort.18
ln -s $ldasforcing/tor_dat_1hr_1988.nc fort.19
ln -s $ldasforcing/tor_dat_1hr_1989.nc fort.20
ln -s $ldasforcing/tor_dat_1hr_1990.nc fort.21
ln -s $ldasforcing/tor_dat_1hr_1991.nc fort.22
ln -s $ldasforcing/tor_dat_1hr_1992.nc fort.23
ln -s $ldasforcing/tor_dat_1hr_1993.nc fort.24
ln -s $ldasforcing/tor_dat_1hr_1994.nc fort.25
ln -s $ldasforcing/tor_dat_1hr_1995.nc fort.26
ln -s $ldasforcing/tor_dat_1hr_1996.nc fort.27
ln -s $ldasforcing/tor_dat_1hr_1997.nc fort.28
ln -s $ldasforcing/tor_dat_1hr_1998.nc fort.29

echo 'running NOAH model'
noah
mv restart_base.* $noahrestart/.
mv noah.base* $noahoutput/.
rm fort.*

cd $noahoutput
#gzip_tar_data.csh
#send_data.csh
exit
